> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post recipientstokensget access token



## OpenAPI

````yaml /api-reference/oda-recipient-service-1.0.0.yml post /recipients/tokens/get-access-token
openapi: 3.0.1
info:
  title: oda-recipient-service
  version: 1.0.0
servers: []
security: []
paths:
  /recipients/tokens/get-access-token:
    post:
      operationId: getAccessToken
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAccessToken.GetAccessTokenCommand'
        required: true
      responses:
        '200':
          description: Fresh Access Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccessToken.AccessToken'
        '401':
          description: Unauthorized or not found
components:
  schemas:
    GetAccessToken.GetAccessTokenCommand:
      required:
        - refreshTokenId
      type: object
      properties:
        refreshTokenId:
          type: string
    GetAccessToken.AccessToken:
      required:
        - token
      type: object
      properties:
        token:
          type: string

````